package com.artfess.file.persistence.dao;

import com.artfess.file.model.DefaultFile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface FileDao extends BaseMapper<DefaultFile> {

	/**
	 * 根据格式获取附件
	 * @param allowFiles
	 * @return
	 */
	List<DefaultFile> getAllByExt(String[] allowFiles);

	public void setXbTypeId(@Param("fileId")List<String> fileId, @Param("xbTypeId")String xbTypeId,@Param("type")String type);

	void  updateExtraProps(DefaultFile defaultFile);
}
